Grayscale Digital Large Cap Fund

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/grayscale-digital-large-cap-fund/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-digital-large-cap-fund/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-digital-large-cap-fund/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-digital-large-cap-fund/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "message": "Data unavailable for this company"
}
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-digital-large-cap-fund/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 35.28,
    "date": "2026-05-15",
    "high": 35.92,
    "open": 35.92,
    "close": 35.53,
    "volume": 41100
  },
  {
    "low": 33.91,
    "date": "2026-05-18",
    "high": 34.61,
    "open": 34.54,
    "close": 34.358,
    "volume": 26800
  },
  {
    "low": 34.09,
    "date": "2026-05-19",
    "high": 34.36,
    "open": 34.22,
    "close": 34.21,
    "volume": 43280
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-digital-large-cap-fund/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": null,
  "quarterly_earnings_growth": null,
  "eps_estimate_current_quarter": null
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-digital-large-cap-fund/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -1.43,
  "six_month_return": -23.72,
  "three_month_return": 12.83
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/grayscale-digital-large-cap-fund/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 0.029,
  "share_price_change_state": "up"
}